blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
9fc521871e7697981754a2a5626e07ff74283259 | Shell | dsalin/efs | /Build.sh | UTF-8 | 335 | 3.3125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
VERSION="latest"
if [ $1 != "" ]; then
VERSION=$1
fi
echo "Building efsctl test docker image ..."
echo "VERSION is $VERSION"
# Build the app using version number specified as the first script parameter
CGO_ENABLED=0 GOOS=linux go build -a -installsuffix cgo -o efsctl main.go
docker build -t dsalin/efs... | true |
0bfdc8a0464f9bcf0ad128e2007ff538d31af6d4 | Shell | leipzig/gatk-sv | /src/sv-pipeline/04_variant_resolution/scripts/clean_vcf_part1b.sh | UTF-8 | 6,003 | 3.421875 | 3 | [] | no_license | #!/bin/bash
#
# clean_vcf_part1b.sh
#
#
#
# Copyright (C) 2018 Harrison Brand<hbrand1@mgh.harvard.edu>
# Distributed under terms of the MIT license.
set -euxo pipefail
##gzipped vcf from clean vcf part1.sh##
int_vcf_gz=$1
##Remove CNVs that are improperly genotyped by depth because they are nested within a real CNV... | true |
31921f1687fcf40216f29b4867921a0e13b6be0c | Shell | ergottli/corewar | /champs/tests/mine.sh | UTF-8 | 946 | 2.703125 | 3 | [] | no_license | cp $1.s $1_zaz.s
./asm_zaz $1_zaz.s
./asm $1.s
if [ ! -e $1.cor ] && [ ! -e $1.cor ]
then
echo "$1 : [OK] NO FILE CREATE"
fi
if [ -e $1.cor ] && [ -e $1_zaz.cor ] && diff $1.cor $1_zaz.cor
then
echo "$1: [OK]"
if [ -e $1.cor ]
then
hexdump -C $1.cor > ok_$1.txt
rm $1.cor $1_zaz.cor
fi
else
if [ -e $1... | true |
b6831a697573d8253a3122cfdbcfcb14e490f680 | Shell | Jitpanu/My-first-program | /backup.sh | UTF-8 | 77 | 2.640625 | 3 | [] | no_license | for file in output*.txt
do
cp $file $(echo $(basename $file .txt)).bak
done
| true |
ad89ea8e7f2220c17747374a7d7884a8ed10f598 | Shell | shaokaiyang/hadoop-build-env | /utilities/change_binarycode_mode_own.sh | UTF-8 | 316 | 2.78125 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
#paras are group, user, codepath
if [ $# -ne 3 ]
then
exit 1
fi
chown $2:$1 -R $3
chown root:$1 $3/etc
chown root:$1 $3/etc/hadoop
chown root:$1 $3/etc/hadoop/container-executor.cfg
chown root:$1 $3
chown root:$1 $3/../
chown root:$1 $3/bin/container-executor
chmod 6150 $3/bin/container-executor
| true |
924187d4a467b2bf1c27f035ef21aadaae3aaeee | Shell | chonochonovuk/DevOps-Fundamentals | /Homeworks/Homework5/Practice/node1.sh | UTF-8 | 1,637 | 3.21875 | 3 | [] | no_license | #!/usr/bin/bash
echo "Installing Docker..."
sudo apt-get update
sudo apt-get remove docker docker-engine docker.io
echo '* libraries/restart-without-asking boolean true' | sudo debconf-set-selections
sudo apt-get install apt-transport-https ca-certificates curl software-properties-common -y
sudo curl -fsSL https://dow... | true |
1b94e53f9ad954527992f45b7388e91751b33e79 | Shell | gaojunqi/cocolian-data | /cocolian-data-server/src/main/bin/start-dev-centos.sh | UTF-8 | 771 | 2.734375 | 3 | [] | no_license | #!/bin/bash
# Run in centos
# Author: Shamphone Lee
JAVA="$JAVA_HOME/bin/java"
WORKING_DIR=$(cd `dirname $0`; pwd)
WORKING_DIR="$(dirname ${WORKING_DIR})"
echo "running in ${WORKING_DIR}"
MAIN_CLASS="org.cocolian.data.server.DataServer"
JAR_LIB="$WORKING_DIR/${project.build.finalName}.jar"
JAR_LIB="${JAR_LIB}:... | true |
39edf45a20a90c8c760adfd2649516424f9ae902 | Shell | svandiek/summa-farsi | /local/farsi_dict_prep.sh | UTF-8 | 1,395 | 3.109375 | 3 | [] | no_license | #! /usr/bin/env bash
if [ ! -d data/local/dict ]; then
mkdir -p data/local/dict
fi
# After applying the farsi_preprocessing script the dictionary needs a few beauty operations
# namingly. removing the EOS and spoken noise tokens, removing all double spaces, and spaces at the end of a line
#cp /group/project/summa/sv... | true |
05934be489a26d0cd4bb9404f5e5993133626ebc | Shell | gurjeet/cfenv | /env/bin/.installers/.tools.sh | UTF-8 | 1,321 | 3.921875 | 4 | [] | no_license | debug () (
limit=${DEBUG:-0}
level=$1
shift
if [ $level -le $limit ]; then
echo "$@" >&2
fi
)
die() {
rc=$1
shift
echo "$@" >&2
exit $rc
}
Download() {
local target="$1"
shift
if ! ls $HOME/.downloads/${target}* 2>/dev/null; then
echo "Downloading $target"
debug 1 wget "$@"
# ... | true |
d1640b4570c4c5cc77d075cd43bb2a3a26803b03 | Shell | Codeberg-org/gitea | /docker/root/etc/s6/openssh/setup | UTF-8 | 1,083 | 3.390625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
if [ ! -d /data/ssh ]; then
mkdir -p /data/ssh
fi
if [ ! -f /data/ssh/ssh_host_ed25519_key ]; then
echo "Generating /data/ssh/ssh_host_ed25519_key..."
ssh-keygen -t ed25519 -f /data/ssh/ssh_host_ed25519_key -N "" > /dev/null
fi
if [ ! -f /data/ssh/ssh_host_rsa_key ]; then
echo "Generating... | true |
377b297a6ede4daee30ce3cd61139021a5893657 | Shell | dwxie/salt | /state/prod/application/gb/sipmediaserver/files/stop.sh | UTF-8 | 219 | 3.109375 | 3 | [] | no_license | #!/usr/bin/env bash
# [global]
SCRIPT_PATH="$(cd "$(dirname "$0")"; pwd)"
cd "${SCRIPT_PATH}"
pids=$(ps -ef | grep './sipmediaserver' | grep -v 'grep' | awk '{print $2}')
if [ -n "${pids}" ];
then
kill ${pids}
fi
| true |
c7b83c515134c72a6925808d5cb318d7192ec871 | Shell | MW-autocat-script/MW-autocat-script | /catscripts/Government/Countries/New_Zealand/NewZealand.sh | UTF-8 | 309 | 3.140625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
KEYWORDS_NEWZEALAND="New(| )Zealand|\bNZ\b"
KEYWORDS_NEWZEALAND_ALL="$KEYWORDS_NEWZEALAND"
if [ "$1" == "" ]; #Normal operation
then
debug_start "New Zealand"
NEWZEALAND=$(egrep -i "$KEYWORDS_NEWZEALAND" "$NEWPAGES")
categorize "NEWZEALAND" "New Zealand"
debug_end "New Zealand"
fi
| true |
d96e252d54e9c84eb085365269721c2839a24a4b | Shell | top-bettercode/docker-thunderspeed | /entrypoint.sh | UTF-8 | 1,610 | 3.09375 | 3 | [] | no_license | #!/bin/bash
groupmod -o -g $AUDIO_GID audio
if [ $GID != $(echo `id -g thunderspeed`) ]; then
groupmod -o -g $GID thunderspeed
fi
if [ $UID != $(echo `id -u thunderspeed`) ]; then
usermod -o -u $UID thunderspeed
fi
chown thunderspeed:thunderspeed "/迅雷下载"
if [ -d "/home/thunderspeed/.thunderspeed" ]; then
c... | true |
1abc52c1bdd47973d7ff70f605d9d1aefceb2a58 | Shell | nickup9/bgp_packager | /packager.sh | UTF-8 | 8,185 | 3.703125 | 4 | [] | no_license | #!/bin/bash
# This is the packager for bgp-extrapolator and rov.
# Making sure that jq, python3, and curl are installed
python3_test=$(command -v python3)
jq_test=$(command -v jq)
curl_test=$(command -v curl)
if [ -z "$python3_test" ]
then
echo "Aborting: python3 not installed"
exit 1
fi
if [ -z "$jq_test" ]
then
... | true |
be771a779fcbdeca1847a2c8bc0c835f4ac6384c | Shell | arch4edu/arch4edu | /x86_64/libsearpc/PKGBUILD | UTF-8 | 1,056 | 2.640625 | 3 | [] | no_license | # Maintainer: eolianoe <eolianoe [at] gmail [DoT] com>
# Contributor: Aaron Lindsay <aaron@aclindsay.com>
# Contributor: Edvinas Valatka <edacval@gmail.com>
# Contributor: Adrian Hühn <adrian.huehn@web.de>
pkgname='libsearpc'
epoch=2
pkgver=3.3.0
pkgrel=4
pkgdesc="A simple C language RPC framework (including both serv... | true |
86b22fbbeb888517c7398b6ab6e4f5df1e702474 | Shell | riteshchaman/scripts | /ambari_db_backup.sh | UTF-8 | 1,123 | 3.609375 | 4 | [] | no_license | db_type=`grep -w server.jdbc.database /etc/ambari-server/conf/ambari.properties|cut -d= -f2`
db_name=`grep -w server.jdbc.database_name /etc/ambari-server/conf/ambari.properties|cut -d= -f2`
db_host=`grep -w server.jdbc.hostname /etc/ambari-server/conf/ambari.properties|cut -d= -f2`
db_user=`grep -w server.jdbc.rca.use... | true |
5f41f4e310d73a84876ab2aaba6dceee2f932ea0 | Shell | dilipgurung/dotfiles | /setup-git.sh | UTF-8 | 742 | 2.75 | 3 | [] | no_license | #!/bin/sh
source $HOME/.extra
# Git aliases
git config --global alias.co checkout
git config --global alias.amend "commit --amend -C HEAD"
git config --global alias.delete "branch -D"
git config --global alias.ds "diff --staged"
git config --global alias.graph "log --graph --pretty=format':%C(yellow)%h%Cblue%d%Creset... | true |
9e6f6a5599936ff9b290a69590befa281be5b74b | Shell | desertedscorpion/solidpostal | /testing.sh | UTF-8 | 3,595 | 2.90625 | 3 | [] | no_license | #!/bin/bash
BASE_URL=127.209.102.127:28056 &&
SLEEP=1m &&
docker build -t ninthgrimmercury/solidpostal . &&
docker build -t freakygamma/solidpostal test &&
if docker run --interactive freakygamma/solidpostal dnf update --assumeyes | grep "^Last metadata expiration check: 0:0"
then
echo dnf was upd... | true |
ae72410bda55aceea6b62b888e5e6a3c011ba615 | Shell | sbosnick/luther | /ci/install_kcov | UTF-8 | 1,220 | 3.890625 | 4 | [
"Apache-2.0",
"LicenseRef-scancode-unknown-license-reference",
"MIT"
] | permissive | #!/usr/bin/env bash
# Copyright 2018 Steven Bosnick
#
# Licensed under the Apache License, Version 2.0 <LICENSE-APACHE-2.0 or
# http://www.apache.org/licenses/LICENSE-2.0> or the MIT license
# <LICENSE-MIT or http://opensource.org/licenses/MIT>, at your
# option. This file may not be copied, modified, or distributed
#... | true |
cf6a22d2c3c77c400607bcd6d2169b852d39ddae | Shell | Chandandhani/ANSIBLE_AWS | /script_user.sh | UTF-8 | 318 | 3.09375 | 3 | [] | no_license | #!/bin/bash
#echo -e "Enter the file name: \c"
v_file="/etc/passwd"
#echo -e "Enter the delimeter \c"
delimeter=":"
IFS=$delimeter
while read -r USER PASSWORD USERID GID COMNT HOMEDIR LOGINSHELL
do
if [ $LOGINSHELL == "/sbin/nologin" ]; then
echo "$USER" >> /home/ansible/output.txt
fi
done < "$v_file"
| true |
4ac53cb930b767798570b9f811f2a7c1ec731ae7 | Shell | huhlig/rust-buildpack | /bin/supply | UTF-8 | 1,473 | 4.03125 | 4 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
# usage: bin/supply <build-path> <cache-path> <deps-path> <index>
BUILD_PATH=${1:-}
CACHE_PATH=${2:-}
DEPS_PATH=${3:-}
INDEX=${4:-}
CURL="curl -s -L --retry 15 --retry-delay 2" # retry for up to 30 seconds
RUSTUP_URI="https://sh.rustup.rs"
# Rust Version Channel
VERSION=stable
# Bash Error Handl... | true |
a6292bf8be210763ab67c8f89429e5e4e30d3970 | Shell | kroseneg/old | /utils/release | UTF-8 | 710 | 3.734375 | 4 | [
"DOC"
] | permissive | #!/bin/bash
PKG=old
if [ "$1" == "" -o "$2" == "" ]; then
echo "Use: release OLDREL NEWREL"
echo "Run from the repo root"
exit
fi
OLDREL=$1
NEWREL=$2
TARGZBALL="$PKG-$NEWREL.tar.gz"
TARBZBALL="$PKG-$NEWREL.tar.bz2"
RELDIR="../$NEWREL"
if [ -d $RELDIR ]; then
echo "$RELDIR already exists!"
exit
fi
echo "* mak... | true |
fc550d13287b4e04e31937a4ea77b4baccd18f1c | Shell | jwalzer/debian-initrd-debug-helper-git | /hooks/zfs | UTF-8 | 3,865 | 3.75 | 4 | [] | no_license | #!/bin/sh
#
# Add ZoL filesystem capabilities to an initrd, usually for a native ZFS root.
#
# This hook installs udev rules for ZoL.
PREREQ=""
# These prerequisites are provided by the zfsutils package. The zdb utility is
# not strictly required, but it can be useful at the initramfs recovery prompt.
COPY_EXEC_LIST=... | true |
ee96a86334f06ef0ef825c1384ca17701d142f44 | Shell | ShefWuzi/msc-dissertation | /data_collection/git_metadata.sh | UTF-8 | 5,612 | 3.421875 | 3 | [] | no_license | #!/bin/bash
if [ $# -ne 1 ]; then
echo "[*] Usage $0 <git url>"
exit;
fi
check_github_api=$(curl -s https://api.github.com/users/ShefWuzi | jq 'select (.message != null) | .message' | grep "API rate limit")
while true;
do
if [[ $check_github_api != "" ]]; then
sleep 10m;
check_github_api=$(curl -s https://api... | true |
e06d3ead9da7498bc49fb6e44371a19c80b64fb6 | Shell | harlo/UnveillanceAnnex | /setup.sh | UTF-8 | 1,076 | 3.4375 | 3 | [] | no_license | #! /bin/bash
THIS_DIR=`pwd`
if [ $# -eq 0 ]
then
LAUNCH_ANNEX=true
WITH_CONFIG=0
else
LAUNCH_ANNEX=false
WITH_CONFIG=$1
fi
sudo apt-get install -y gcc lsof
PYTHON_VERSION=$(which python)
if [[ $PYTHON_VERSION == *anaconda/bin/python ]]
then
echo "ANACONDA already installed. Skipping"
else
wget -O lib/anaconda... | true |
87091de877cf86ea96d787348f89579ca42105be | Shell | golden75/Variant_Detection_GATK | /scripts/picard_sort.sh | UTF-8 | 1,363 | 2.859375 | 3 | [] | no_license | #!/bin/bash
#SBATCH --job-name=picard_sort
#SBATCH -n 1
#SBATCH -N 1
#SBATCH -c 1
#SBATCH --mem=30G
#SBATCH --partition=general
#SBATCH --qos=general
#SBATCH --array=[1-8]%8
##SBATCH --mail-type=ALL
##SBATCH --mail-user=neranjan.perera@uconn.edu
#SBATCH -o ../log_files/%x_%A_%a.out
#SBATCH -e ../log_files/%x_%A_%a.err
... | true |
b73ec4e506c57a75f12fa80f16732abedf6bc05c | Shell | creio/dots | /.bin/macho.sh | UTF-8 | 595 | 3.40625 | 3 | [] | no_license | #!/bin/sh
export FZF_DEFAULT_OPTS='
--height=30%
--layout=reverse
--prompt="Manual: "
--preview="echo {1} | sed -E \"s/^\((.+)\)/\1/\" | xargs -I{S} man -Pcat {S} {2} 2>/dev/null"'
while getopts ":s:" opt; do
case $opt in
s ) SECTION=$OPTARG; shift; shift;;
\?) echo "Invalid option: -$OPTARG" >&2; exit 1;;
... | true |
723eff9cd2f0bcd7f32697394bba1d45ae14182f | Shell | antenore/svntogit-community | /python-markdown-it-py/trunk/PKGBUILD | UTF-8 | 1,045 | 2.546875 | 3 | [] | no_license | # Maintainer: Filipe Laíns (FFY00) <lains@archlinux.org>
_pkgname=markdown-it-py
pkgname=python-$_pkgname
pkgver=1.1.0
pkgrel=1
pkgdesc='Python port of markdown-it. Markdown parsing, done right!'
arch=('any')
url='https://github.com/executablebooks/markdown-it-py'
license=('MIT')
depends=('python-attrs')
optdepends=('... | true |
93fb35ac27f1b78351e66faca645490ec9b60c5a | Shell | kh42z/ft_services | /srcs/mysql/files/import.sh | UTF-8 | 628 | 3.09375 | 3 | [] | no_license | #/bin/bash
maxcounter=900
counter=0
while ! mysql -uroot -e "show databases;" > /dev/null 2>&1; do
sleep 1
counter=`expr $counter + 1`
echo "Waiting for MariaDB to be started: ${counter}"
if [ $counter -gt $maxcounter ]; then
>&2 echo "Cant wait more"
exit 1
fi;
done
sleep 1
mysql ... | true |
cb71260325d70affc2ead846a8dc621aae37731c | Shell | mani-durai/Launch-ec2-awscli | /Launch-ec2-awscli.sh | UTF-8 | 689 | 2.75 | 3 | [] | no_license | #!/bin/bash
#scripts for ec2 instances launch using AWS CLI
#Script by Manidurai
#Email ID:dd.manikandan55@gmail.com
#First of please install and configured AWS CLI
echo "Ec2 instances provisioned to AWS CLI"
read -p "Enter your image ID : " IMAGEID
read -p "Enter your instance count : " COUNT
read -p "Enter Instance ... | true |
ca9a9a5bb378460741ce77338caa2a5ba749e2c2 | Shell | openbmc/phosphor-debug-collector | /tools/dreport.d/plugins.d/dmesginfo | UTF-8 | 198 | 2.71875 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
#
# config: 2 20
# @brief: Collect dmesg information.
#
. $DREPORT_INCLUDE/functions
desc="dmesg"
file_name="dmesg.log"
command="dmesg"
add_cmd_output "$command" "$file_name" "$desc"
| true |
36fe2e22ca393044fcfbf8ce10c92b5f7f28a6ac | Shell | cryanez/chilegenomico2 | /GTSEQ_Ancestry_Estimate/code/get_Ancestry.sh | UTF-8 | 3,727 | 3.046875 | 3 | [] | no_license | #!/bin/bash
##########################################################################################
# Programmed by Cristian Yanez, Engineer in bioinformatics, ChileGenomico Laboratory,
# Faculty of Medicine, University of Chile.
#
# 2020-07-13
######################################################################... | true |
14626af2fc395883c77ec4cb6f02bf725816d8bd | Shell | bioboxes/minia | /run.sh | UTF-8 | 1,092 | 3.953125 | 4 | [] | no_license | #!/bin/bash
set -o errexit
set -o nounset
INPUT=/bbx/input/biobox.yaml
OUTPUT=/bbx/output
METADATA=/bbx/metadata
TASK=$1
# Ensure the biobox.yml file is valid
sudo ${VALIDATOR}validate-biobox-file --input ${INPUT} --schema ${VALIDATOR}schema.yaml
# Parse the read locations from this file
READS=$(sudo /usr/local/bin... | true |
43c5fccbda8e1d0c235fb648fc81f3791ec81c35 | Shell | kishori82/multi-seq | /regtests/run_regtests.sh | UTF-8 | 403 | 2.828125 | 3 | [] | no_license | #!/bin/bash
# To run the tests type ". run_regtests.sh"
source RiboCensusrc
SAMPLE=zymopure
#SAMPLE=beaver
if [ ! -d regtests/output ]; then
mkdir regtests/output
else
rm -rf regtests/output/*
fi
echo python RiboCensus.py -i regtests/input -o regtests/output -s ${SAMPLE} -v 1
python RiboCensus.py -i re... | true |
120db99e832d24240b06a3b43e4424023834e836 | Shell | leonsk32/library | /scripts/run-e2e-tests.sh | UTF-8 | 574 | 3.40625 | 3 | [] | no_license | #!/usr/bin/env bash
declare ROOT_DIR=""
function set_bash_error_handling() {
set -euo pipefail
}
function set_project_root_directory() {
local -r script_dir=$( dirname "${BASH_SOURCE[0]}")
cd "$script_dir/.."
ROOT_DIR=$(pwd)
}
function run_e2e_tests() {
cd "$ROOT_DIR/library-backend-service"
... | true |
d938920c6c3eee7119c9f56199784d64be3a24ef | Shell | ammolitor/bin | /old-scripts/splice/copy-data.sh | UTF-8 | 1,017 | 3.421875 | 3 | [] | no_license | #!/bin/bash
function copy_files {
s3source=$1
dest=$2
folders=$(for folder in $(aws s3 ls s3://${s3source} --recursive | grep -v -E "(Bucket: |Prefix: |LastWriteTime|^$|--)" | awk '{print $4}' | grep \/$); do echo ${folder}; done)
for folder in ${folders[@]}; do
sudo -su hdfs hadoop fs -mkdir -p /${folder}
don... | true |
8c2201fc23cdb0f4a087c479084cc162f0799a98 | Shell | abes-esr/filebeat-example-docker | /myapp/custom-log-generator.sh | UTF-8 | 252 | 3.21875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
while true;
do
sleep 2
if [ $(shuf -i1-10 -n1) -gt 5 ]
then
# >&1 permet d'envoyer vers stdout
echo "INFO - ca se passe bien" >&1
else
# >&1 permet d'envoyer vers stderr
echo "ERROR - ca se passe mal" >&2
fi
done
| true |
85b10782a696a30e43a688f65afee5c78da5b9df | Shell | abshkd/malware | /scripts-malware-defense/get_methods.sh | UTF-8 | 246 | 2.546875 | 3 | [] | no_license | #!/bin/bash
for webservmethod in GET POST PUT TRACE CONNECT OPTIONS PROPFIND HEAD MOVE COPY PROPPATCH MKCOL LOCK UNLOCK SEARCH;
do
printf "$webservmethod " ;
printf "$webservmethod / HTTP/1.1\nHost: $1\n\n" | nc $1 80 | grep "HTTP/1.1"
done
| true |
9d63f8f2a6a2877c194d10cd66b578a02fda59dd | Shell | testxsubject/docker-deadsnakes | /build.sh | UTF-8 | 630 | 3.640625 | 4 | [
"MIT"
] | permissive | #!/bin/bash
set -ex
generate_docker_files() {
mkdir -p $1
cat Dockerfile \
| sed s/__PY_VER__/$1/ \
> $1/Dockerfile
cp get-pip.py $1/
}
build_docker_images() {
docker build --no-cache --force-rm --pull -t mrupgrade/deadsnakes:$1 $1/
}
test_image() {
docker run -it --rm mrupgrade/... | true |
43afe430b4ccf6deb1c15ffa3ecf9e0b0c6c87f8 | Shell | flmartinez07/so | /p2_4.sh | UTF-8 | 156 | 2.546875 | 3 | [] | no_license | #!/bin/bash
saludos="Bienvenido/a "
user=$(whoami)
dia=$(date +%A)
echo "$saludos nuevamente $user"
echo " Hoy es $dia"
echo "ESPERO TENGAS UN GRAN DIA"
| true |
83a5b9b4dfa841fc0fdb40a018e1bcbc93ba38d2 | Shell | Vaibhavtyagi13/devops_training | /bash/demo.txt | UTF-8 | 105 | 2.796875 | 3 | [] | no_license | #!/bin/bash
echo "pid is $$"
while (( count < 10 ))
do
sleep 10
(( count++ ))
echo $count
done
exit 0
| true |
23a91ed0a32fb5c34d2de4706d312e305ba032f0 | Shell | canonical/charmcraft | /tests/spread/tools/prepare.sh | UTF-8 | 261 | 3 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash -e
install_charmcraft()
{
if stat /charmcraft/charmcraft_*.snap 2>/dev/null; then
snap install --classic --dangerous /charmcraft/charmcraft_*.snap
else
echo "Expected a snap to exist in /charmcraft/"
exit 1
fi
}
| true |
cdbde3bca6cd4fcc773d3537c68ca421f1ede1c5 | Shell | ip0000h/dotfiles | /zsh/.zshrc | UTF-8 | 1,168 | 2.5625 | 3 | [] | no_license | # Path to your oh-my-zsh installation.
export ZSH="$HOME/.oh-my-zsh"
# For tmuxp
export DISABLE_AUTO_TITLE='true'
# Theme
ZSH_THEME="gnzh"
# Plugins
plugins=(
colorize
common-aliases
command-not-found
docker
docker-compose
git
git-extras
github
kubectl
minikube
node
np... | true |
9a99e01de8626472272f9bf5ada816ee3b4fe54a | Shell | UMCUGenetics/DxNextflowWES | /run_nextflow_wes_fingerprint.sh | UTF-8 | 1,578 | 3.390625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
set -euo pipefail
workflow_path='/hpc/diaggen/software/production/DxNextflowWES'
# Set input and output dirs
input=`realpath -e $1`
output=`realpath $2`
email=$3
mkdir -p $output && cd $output
mkdir -p log
if ! { [ -f 'workflow.running' ] || [ -f 'workflow.done' ] || [ -f 'workflow.failed' ]; }; then
tou... | true |
9eecfa79477a77dfdc0fd69fe8830a1d4b35ff58 | Shell | JaidenCook/bin | /aegean_snapshot.sh | UTF-8 | 850 | 3.09375 | 3 | [] | no_license | #!/bin/bash
# Run Aegean with some defaults
filename=$1
bane=$2
compress=$3
background=`echo $filename | sed "s/.fits/_bkg.fits/"`
noise=`echo $filename | sed "s/.fits/_rms.fits/"`
root=`echo $filename | sed "s/.fits//"`
ncpus=20
if [[ ! -e $background ]]
then
if [[ $bane ]]
then
if [[ $compress ]... | true |
653b5f80baed33a59e65e19002cf0fbef8cec267 | Shell | TimeDelta/dotfiles | /source/aliases_mac.bash | UTF-8 | 11,824 | 3.484375 | 3 | [
"MIT"
] | permissive | is_osx || return 1
################################################################################
# Notes:
# Aliases and functions followed by a "# [BN]" is written entirely by me
# Aliases and functions followed by a "# {BN}" is adapted by me from somebody else's code
# Aliases and functions without a comment after ... | true |
400a658a44638bd41cc963cbebe8d9d4d1ac1990 | Shell | redpandoraweb/CentOS-6-Quick-Install-Scripts | /Install_Xfce_VNC_CentOS_6.sh | UTF-8 | 1,393 | 2.9375 | 3 | [] | no_license | echo 'Install xfce4 + TigerVNC-Server + Firefox + Flash on Centos 6.2'
echo 'Install EPEL & RPMI & YUM-Priorities'
rpm -Uvh http://dl.fedoraproject.org/pub/epel/6/x86_64/epel-release-6-8.noarch.rpm
rpm -ivh http://rpms.famillecollet.com/enterprise/remi-release-6.rpm
yum -y install yum-priorities nano
yum -y update
e... | true |
e312431a8fa2c8c87fac2505597513a58db33ba4 | Shell | sascho1993/asr-disfluency | /sony-egs/swbd_disfluency/switchboard_data/utils/prepare_ms_words.sh | UTF-8 | 2,328 | 3.421875 | 3 | [] | no_license | #!/bin/bash
# Run parts of Kaldi scripts for preprocessing of MS-State data
dir=data/silver_wd/
rm -f $dir/ms_words
cat data/silver_transcript/switchboard_corrected_with_silver_reannotation.tsv | awk -F '\t' '{print $4}' | sed 's/\.trans//g' | uniq | grep -v "file" | while read line
do
number=`echo $line | sed ... | true |
07a5ef6034ff68cd188f6064b2b62ad2b75c9898 | Shell | aruneral01/fanscribed | /install-mp3splt.sh | UTF-8 | 3,162 | 3.28125 | 3 | [
"MIT"
] | permissive | #!/bin/bash -ex
if [ "${VIRTUAL_ENV}" == "" ]; then
echo "Must be in a virtualenv"
exit 1
fi
TMP_INSTALL=$VIRTUAL_ENV/tmp-install-mp3splt
mkdir -p $TMP_INSTALL
cp -v patched-libmad-0.15.1b-configure $TMP_INSTALL/
cd $TMP_INSTALL
LIBDIR=${VIRTUAL_ENV}/lib
export LD_LIBRARY_PATH=${LIBDIR}
export LDFLAGS=-L${LI... | true |
ef914ec7be906065267237218658e1ee2fb3d1da | Shell | coi-gov-pl/puppet-jboss | /templates/systemd/launch.sh | UTF-8 | 228 | 2.859375 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
. /etc/<%= @product %>/<%= @product %>.conf
set -x
if [ "x$JBOSS_HOME" = "x" ]; then
JBOSS_HOME="/usr/lib/<%= @product %>-<%= @version %>"
fi
$JBOSS_HOME/bin/$JBOSS_MODE.sh -c "${1}" | tee $JBOSS_CONSOLE_LOG
| true |
539e6b2522f4efbbc64f463b7c181a8aa0d3cad6 | Shell | tfull/image_factory | /geometric_fusion/convert.sh | UTF-8 | 142 | 2.890625 | 3 | [] | no_license | cd images
ppm_files=`ls ppm`
for file in $ppm_files
do
if [ ! -f png/${file%.*}.png ]; then
convert ppm/$file png/${file%.*}.png
fi
done
| true |
8706908aa30e6f7c8133b16cfc1edec0eadb7d55 | Shell | bergental/unisinos-sistemas-operacionais-lab | /material-apoio/Aula02 - Shell Script/exercicios/correcao/Lista2_Resolucao/dir_monitor4.sh | UTF-8 | 624 | 3.671875 | 4 | [] | no_license | #!/bin/bash
CONTADOR=0
if [ ! -d "$MON_DIR" ]; then
echo "Não é um diretório válido!" >&2
elif [ -z "$MON_DIR" ]; then
echo "Diretório nulo. Não informado!" >&2
else
ESTADO_INICIAL=$(ls "$MON_DIR" -l)
echo "Diretório válido: $MON_DIR"
while [ 1 ]; do
ESTADO_ATUAL=$(ls "$MON_DIR" -l)
#houve mudanca no diret... | true |
56197644da03a51fb0ba8a4db3fbce8d4888af0a | Shell | chakralinux/desktop | /eclipse-ecj/PKGBUILD | UTF-8 | 1,453 | 2.59375 | 3 | [] | no_license | # contributions from Arch: https://git.archlinux.org/svntogit/packages.git/tree/trunk?h=packages/eclipse-ecj
pkgname=eclipse-ecj
pkgver=4.6.1
pkgrel=1
_date=201609071200
pkgdesc='Eclipse java bytecode compiler'
arch=('x86_64')
license=('EPL')
url='http://www.eclipse.org/'
depends=('java-runtime')
makedepends=('apache-... | true |
e89cae6c05997f13d2c8139436c5d44f579e2e8a | Shell | sumitsidana/NERvE | /bash_scripts/writerelevancevectorcofactor.sh | UTF-8 | 760 | 2.75 | 3 | [] | no_license | LANG=en_US.utf8
cd java/
mkdir -p /data/sidana/recnet_draft/$1/cofactor/$2/rv/
mkdir -p /data/sidana/recnet_draft/$1/cofactor/$2/em/
javac -cp binaries/commons-lang3-3.5.jar preProcess/ConvertIntoRelVecGeneralized_update.java preProcess/InputOutput.java
echo 'making relevance vector'
if [ $2 == "one" ]
then
rank=2... | true |
0ea0db16489f5dc09b3c5362e344c9bb05f16bc8 | Shell | todd-dsm/smashNgrab | /payload/src/harden_samba.sh | UTF-8 | 3,605 | 3.828125 | 4 | [] | no_license | #!/usr/bin/env bash
# PURPOSE: Harden Samba: Restrict Samba to only:
# a) Listen on the localhost segment 127.
# b) Use its own password table
# c) Use encrypted passwords
# d) Use defined password table
# e) Allow permitted users: none ()
# ... | true |
7f3281cb8a826edca302c68575e624babd5993f9 | Shell | jasonTtan/Parallel-Project | /cs133-img-proc.sh | UTF-8 | 3,163 | 3.265625 | 3 | [] | no_license | #!/bin/bash
if [ $# -lt 1 ]; then
echo -e "Usage:"
echo -e "\t$0 img-op img-op-args";
echo -e "Where";
echo -e "\timg-op = { motion-estimation[-parallel], corner-detection[-parallel], rotation[-parallel], scaling[-parallel], gaussian-blur[-parallel], high-pass-filter[-parallel] }"
echo -e "and img-op-args are t... | true |
e231ca5a2beddc60ae77b8e40b020f3c32b2048d | Shell | liberty8080/JacobAssistant | /build.sh | UTF-8 | 394 | 2.796875 | 3 | [
"MIT"
] | permissive | containerName="jacob-assistant";imageName="jacob-assistant:latest"
oldContainer=`docker ps -aq -f name=${containerName}`
oldImage=`docker images -aq ${imageName}`
if [ -n ${oldContainer} ]; then docker rm -f ${containerName}; fi
if [ -n ${oldImage} ]; then docker rmi ${oldImage}; fi
docker build . -t ${imageName}
dock... | true |
bc8ef6b192a949c22318f5446bd7bf5120204a49 | Shell | leobyeon/holberton-system_engineering-devops | /0x04-loops_conditions_and_parsing/7-clock | UTF-8 | 252 | 3.390625 | 3 | [] | no_license | #!/usr/bin/env bash
# displays the time for 12 hours and 59 minutes:
# display hours from 0 to 12
# display minutes from 1 to 59
i=0
j=1
while [ $i -le 12 ]; do
echo "Hour:" $i
(( i++ ))
while [ $j -le 59 ]; do
echo $j
(( j++ ))
done
j=1
done
| true |
2704d84d1d0c1ac3d44ea691239b9fca85d0421d | Shell | chamchisand/dot | /i3/i3blocks/scripts/transmission | UTF-8 | 925 | 3.5625 | 4 | [] | no_license | #!/bin/bash
. $(dirname "$0")/colors
lines=$(transmission-remote -l)
check=$(echo "$lines" | head -n 1 | awk '{ print $1 }')
if [ "$check" != "ID" ]; then
exit
fi
lines=$(echo "$lines" | tail -n +2 | head -n -1)
count=0
done=0
out=""
IFS='
'
for x in $lines; do
# ID,Done,Have,ETA,Up,Down,Ratio,Status,Name
pe... | true |
c6dfff1965e93bc56dd08145e755e02dbbb73b42 | Shell | thlorenz/dotfiles | /scripts/xcode.sh | UTF-8 | 944 | 2.921875 | 3 | [] | no_license | #!/usr/bin/env bash
echo "Linking FontAndColor Themes"
rm -rf ~/Library/Developer/Xcode/UserData/FontAndColorThemes && \
ln -s ~/dotfiles/xcode/UserData/FontAndColorThemes ~/Library/Developer/Xcode/UserData/FontAndColorThemes
## Settings
mv ~/Library/Developer/Xcode/UserData/KeyBindings ~/Library/Developer/Xcode/U... | true |
0d0ce5820866af3e002c64c4b1a4e134a8a98cb1 | Shell | lcesarmonteiro/bash-experiments | /loops | UTF-8 | 140 | 3.171875 | 3 | [] | no_license | #!/bin/bash
for i in 1 2 3
do
case $i in
1) echo "First option";;
2) echo "Second option";;
3) echo "Third option";;
esac
done | true |
680e503bea037b3aa896e638a844284ecfe93ce6 | Shell | shixukai/seting_backup | /.zprofile | UTF-8 | 224 | 2.671875 | 3 | [] | no_license | alias fuwu='lsof -Pni4 | grep LISTEN'
function unsetproxy() {
unset {http,https,ftp}_proxy
}
function de() {
cmd="$@"
docker-compose exec dev bash -lc "$cmd"
}
alias dr='docker run --rm -it -v `pwd`:`pwd` -w `pwd`'
| true |
7afa4df31199f4f9482fe337bc25a1a728be7889 | Shell | PrashantSalunke22/loseface | /scripts/batch_job.sh | UTF-8 | 4,459 | 2.8125 | 3 | [
"MIT"
] | permissive | #! /bin/sh
LOSEFACE=../loseface
FACES=orl_patterns
SUBJECTS=40
echo "IMPORTANT! The following steps will take a lot of time (days, maybe weeks)"
echo "Patterns=\"$FACES\", Subjects=$SUBJECTS"
echo "Creating patterns..."
$LOSEFACE $FACES.lua >/dev/null
echo "Done"
echo "MLP global (25 inputs)..."
$LOSEFACE mlp_globa... | true |
6e3a1b37812b7710759a0a54a8750ded738cd0f8 | Shell | weilaidb/PythonExample | /regularexpress/home/weilaidb/software/git-2.0.5/t/lib-rebase.sh | UTF-8 | 1,517 | 2.765625 | 3 | [] | no_license | # Helper functions used by interactive rebase tests.
# After setting the fake editor with this function, you can
#
# - override the commit message with $FAKE_COMMIT_MESSAGE
# - amend the commit message with $FAKE_COMMIT_AMEND
# - check that non-commit messages have a certain line count with $EXPECT_COUNT
# - check the ... | true |
bd9edc8ca9acb28aaf88cfcb0153e9bd60a138b9 | Shell | supercontainers/sc20-tutorial | /exercises/openfoam/mpirun.sh | UTF-8 | 843 | 2.671875 | 3 | [
"CC-BY-4.0",
"MIT",
"LicenseRef-scancode-public-domain"
] | permissive | #!/bin/bash
NTASKS="2"
image="library://marcodelapierre/beta/openfoam:v1812"
# this configuration depends on the host
export MPICH_ROOT="/usr/local/packages/e4s/spack"
export MPICH_LIBS="$( which mpirun )"
export MPICH_LIBS="${MPICH_LIBS%/bin/mpirun*}/lib"
export SINGULARITY_BINDPATH="$MPICH_ROOT"
export SINGULARITY... | true |
d5fc41938b3ba6b569125e5045c5d38cb04058b0 | Shell | jeonghyunkeem/CompNet | /common_3d/compile.sh | UTF-8 | 334 | 3.296875 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
ROOT_DIR=$(pwd)
echo "ROOT_DIR=${ROOT_DIR}"
for EXTENSION_DIR in ops/*
do
if [ -d "${EXTENSION_DIR}" ] ; then
echo ${EXTENSION_DIR}
cd ${EXTENSION_DIR}
if [ -d "build" ]; then
rm -r build
fi
python setup.py build_ext --inplace
fi
cd ${... | true |
7c2b56ef42639e3a0f87933e2eb4dbe279791df1 | Shell | CaptainQuirk/ranger-recipe | /install | UTF-8 | 975 | 2.984375 | 3 | [] | no_license | #!/bin/bash
# depends: nerd-fonts
CONFIG_SRC_DIR=~/Documents/configuration/src
RANGER_RECIPE_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
shef brew ranger w3m
shef brew w3m
shef apt w3m-img
if [ ! -d $CONFIG_SRC_DIR/.ranger-config ]; then
git clone https://github.com/CaptainQuirk/.ranger $CONFIG_SRC_... | true |
470ae12f2e4dd28b23380f86c869f67f6a76988f | Shell | GeorgePiskorsky/dns-aws-selectel | /getAwsZone.sh | UTF-8 | 213 | 2.53125 | 3 | [] | no_license | #!/bin/bash
DST="/home/george/dns_backup/backup";
ZONE_ID="Z1AP1YP3QDRHMT";
DATE=`date +"%Y-%m-%d-%H%M%S"`
aws route53 list-resource-record-sets --hosted-zone-id $ZONE_ID --output json > $DST/backup_$DATE.json
| true |
c7e2c8457ba338ff13f9cab7a1c0d6a4a6c72846 | Shell | FauxFaux/debian-control | /m/mail-spf-perl/spf-tools-perl_2.9.0-4_all/postinst | UTF-8 | 569 | 3.046875 | 3 | [] | no_license | #!/bin/sh
set -e
mode=$1
source_package=mail-spf-perl
case "$mode" in
configure )
prev_version=$2
update-alternatives --install /usr/bin/spfquery spfquery /usr/bin/spfquery.$source_package 100 \
--slave /usr/share/man/man1/spfquery.1.gz spfquery.1.gz /usr/share/man/man1/spfquery.$sourc... | true |
06faef7ddcc731b36e528a0ab20902c4f2b3bc68 | Shell | jbuhacoff/bash-fn-import | /src/main/script/fn.sh | UTF-8 | 3,670 | 4.375 | 4 | [
"BSD-2-Clause"
] | permissive | #!/bin/bash
# User defines FN_PATH to be ":"-separated list of directories to search, in order.
# If FN_PATH is empty, it is assumed to be "."
to_stderr() {
(>&2 "$@")
}
# the function definition is enclosed in a subshell to allow the use of its own private
# library functions that won't also be exported to th... | true |
210d8b02e0cb6d93afa01f58a32229643dda6144 | Shell | UTMIST/utmist.gitlab.io | /onedrive.sh | UTF-8 | 496 | 2.71875 | 3 | [
"MIT"
] | permissive | if test -f ".env"; then
. ./.env
fi
FOLDER_NAME=$ONEDRIVE_FOLDER_NAME
cd onedeath
lua main.lua $ONEDRIVE_FOLDER_LINK
find . -type f -name '*.exf' -delete
rm -rf ../content* ../insertions* ../static/*.pdf ../static/images/profilepics/
mv $FOLDER_NAME/config.yaml ../
mv $FOLDER_NAME/content ../content_base
mv $FOLD... | true |
de90a7adc8dba9adbb534e5e2e4ae6f657878904 | Shell | MarvelFisher/midas | /info/fxruninfo.sh | UTF-8 | 887 | 2.84375 | 3 | [] | no_license | #!/bin/bash
if [ -s LTS-INFO_PID ]; then
INFO_PID=`cat LTS-INFO_PID`
kill -9 $INFO_PID
fi
sleep 5
#JAVA_OPTS="-Dcom.sun.management.jmxremote -Djava.rmi.server.hostname=10.0.0.51 -Dcom.sun.management.jmxremote.port=1234 -Dcom.sun.management.jmxremote.authenticate=false -Dcom.sun.management.jmxremote.ssl=false"
JAVA_... | true |
a5be0a0c3d39aab6b74144f424a1d5b5e6384e52 | Shell | aajanki/finnish-pos-accuracy | /run.sh | UTF-8 | 540 | 2.578125 | 3 | [
"MIT"
] | permissive | #!/bin/sh
set -eu
export PATH=$(pwd)/models/cg3/src:$PATH
# Clean up the test data and save it to data/preprocessed
python preprocess_data.py
# Predict lemmas and POS tags using all models.
# Writes results under results/predictions/*/
python predict.py
# Evaluate by comparing the predictions with the gold standar... | true |
2e6cdb19d3eb00e5b5e3518284ed62ecade2c533 | Shell | mshkliai/Nibbler | /install.sh | UTF-8 | 2,494 | 3.15625 | 3 | [] | no_license | #!/bin/bash
echo "\033[0;33mChecking required libraries...\033[0m"
if brew ls --versions sfml > /dev/null; then
echo "\033[0;36mSFML is already installed\033[0m"
else
echo "\033[0;31mSFML is required in order to start the game. Please wait until it is installed\033[0m"
brew install sfml
echo "\033[0;32mSFML in... | true |
aef5129d47cfe5097d29bf7accee862b8e7ade6d | Shell | hmasmoudi/SyphaxOS | /Default/0006-SyphaxOS-Extra/001_BuildPackagesScripts/0960-strace/PKGBUILD | UTF-8 | 541 | 2.578125 | 3 | [] | no_license | # Maintainer: Hatem Masmoudi <hatem.masmoudi@gmail.com>
pkgname=strace
pkgver=4.20
pkgrel=2
pkgdesc='A diagnostic, debugging and instructional userspace tracer'
arch=(x86_64)
url='http://sourceforge.net/projects/strace'
license=(BSD)
depends=(perl)
source=(http://downloads.sourceforge.net/$pkgname/${pkgname}-${pkgver}... | true |
e97828c66dbe3c7ce5fa92b80973eb0d5a9771e2 | Shell | stayhigh/scriptforFAE | /scripts/third_party/linux_shell_ols3/chk/samples/getip1.sh | BIG5 | 210 | 3.078125 | 3 | [] | no_license | #! /bin/bash
# ܼƭnŧi~ϥ
shopt -s -o nounset
ListIPcmd="/sbin/ifconfig"
IP=$($ListIPcmd | grep 'inet addr:' | grep -v '127.0.0.1' | awk '{print $2}' | awk -F: '{print $2}')
echo $IP
| true |
f57be149367194168c35f1bfad1c61914c45c9d8 | Shell | cyliustack/clusim | /vcluster/stop-vcluster.sh | UTF-8 | 766 | 3.078125 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
C_NONE="\033[0m"
C_CYAN="\033[36m"
C_RED="\033[31m"
C_GREEN="\033[32m"
C_ORANGE="\033[33m"
C_BLUE="\033[34m"
C_PURPLE="\033[35m"
C_CYAN="\033[36m"
C_LIGHT_GRAY="\033[37m"
print_misc() {
echo -e "${C_PURPLE} $1 ${C_NONE}"
}
print_info() {
echo -e "${C_BLUE} $1 ${C_NONE}"
}
print_error() {
echo... | true |
d18ea94010a2bd4474d6a0bb1a83745af8af814e | Shell | david-stratusee/backup | /bin/batch_rename.sh | UTF-8 | 382 | 3.734375 | 4 | [] | no_license | #!/bin/bash -
if [ $# -lt 2 ]
then
echo "Usage: `basename $0` src dst [dir]"
exit
fi
if [ $# -eq 3 ]
then
echo "directory is $3"
dir=$3
else
dir="."
fi
#list=`find $dir -name \"*$1*\" -type f`
#list=`ls $dir | grep -e \"$1\"`
ls $dir | grep -e "$1" | while read file
do
newfile=`echo $file | sed s/$1/$2/g`
# e... | true |
18241e495a13007add045977fed44ffecfc3e259 | Shell | convoy-studio/havana-eliott-erwitt | /npm | UTF-8 | 163 | 2.65625 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
set -aeu -o pipefail
source .env
NODE_CONTAINER="${PROJECT}_${ENVIRONMENT}_node"
docker exec -u node -ti $NODE_CONTAINER bash -c "npm $*"
| true |
98f2fcd2970300d7d4d0140038e67af57421bdd4 | Shell | kot-behemoth/dotfiles | /direnvrc | UTF-8 | 321 | 3.375 | 3 | [] | no_license | # ; -*- mode: sh -*-
layout_activate() {
if [ -n "$(which pyenv)" ]; then
source $(pyenv root)/versions/$1/bin/activate
fi
}
# From https://blog.differentpla.net/blog/2019/01/30/nvm-direnv/
use_nvm() {
NODE_VERSION="$1"
type nvm >/dev/null 2>&1 || . ~/.nvm/nvm.sh
nvm use "$NODE_VERSION"
}... | true |
a398f0296e5be5f7fdc8beecd9d3130ff737bcc3 | Shell | sivasankariit/sw-rl | /tests/run.sh | UTF-8 | 507 | 3.03125 | 3 | [] | no_license | #!/bin/bash
dir=`date +%b%d-%H:%M`
time=30
ns=0
mkdir -p $dir
for nrr in 512; do
for rrsize in 1; do
for rl in htb newrl none; do
exptid=rl-$rl-rrsize-$rrsize
python netperf.py --nrr $nrr \
--exptid $exptid \
-t $time \
--ns $ns \
--rl $rl \
--rrsize $rrsize
mv $ex... | true |
6219df54ce348a3f42bacb506dae084ea8268f84 | Shell | petronny/aur3-mirror | /chromium-update/PKGBUILD | UTF-8 | 852 | 2.515625 | 3 | [] | no_license | # Maintainer: Logan Allen <loganfynne at gmail dot com>
pkgname=chromium-update
pkgver=1.1
pkgrel=13
pkgdesc='Simple SH installer and updater of precompiled Chromium nightly builds'
arch=('any')
url="http://www.loganfynne.com/pkg/chromium-update.tar"
license=('GPL')
conflicts=('chromium')
depends=('gconf' 'libpng12' 'g... | true |
b7a5f4785e37869146de53c9267a6348fc078e2e | Shell | ArroTahur/skriptimine | /praks9/yl3 | UTF-8 | 332 | 2.609375 | 3 | [] | no_license | #!/bin/bash
echo -n "Sisesta ridade arv: "
read row
echo -n "Sisesta t2rnide rav reas: "
read t
for (( i = 1; i <= 5; i++ ))
do
if (( $i == 1 || $i == 5 ))
then
echo -n $i". "
for (( j = 1; j <= $t; j++ ))
do
echo -n "*"
done
echo ""
else
echo -n $i". "
echo -n "*"
for (( q = 2; q <= 4; q++ ))
do
echo -n " "
done
echo ... | true |
2cf69936f1c18af7a5d7a073dad9164989dd744d | Shell | djdagovs/Post-Installation-Script-for-Ubuntu-16.04-LTS-ENG | /English/2_spi_Con_Sp.sh | UTF-8 | 1,604 | 2.515625 | 3 | [] | no_license | #!/bin/sh
#Add gdiplus to wine which is quite usefull while installing games bought on gog.com
winetricks gdiplus
#Cleans the system after the first script (removes downloaded install packages etc.)
sudo apt-get autoclean
sudo apt-get clean
sudo apt-get autoremove
#Sets a couple of things in the bahaviour of the sy... | true |
040a52566fbcb276fe710c4a6a889de27ef3ae74 | Shell | sonph/dotfiles | /testing/make.sh | UTF-8 | 1,571 | 4.28125 | 4 | [] | no_license | #!/bin/bash
# Run the tests in a local docker container, which runs the same travis test script.
# This script does the following:
# - create a new test image with necessary software installed e.g. git
# - remove existing containers, and create a new one for each test run
# - mount the dotfiles directory and exec... | true |
87d54facdead03994fa14a2d890c7288d41424c8 | Shell | liddhappy/vuepress | /blog_deploy.sh | UTF-8 | 952 | 3.65625 | 4 | [] | no_license | #!/usr/bin/env sh
# 确保脚本抛出遇到的错误
set -e
outputPath=./blog/.vuepress/dist/
setGitGlobalConfig() {
git config --global user.name "liddhappy"
git config --global user.email "870886477@qq.com"
}
if [ -f "${outputPath}index.html" ];then
echo "index.html文件存在"
else
echo "index.html文件不存在"
# 生成静态文件
yarn build
fi
... | true |
b5c0532231476a01cf504325cf539b106889d73d | Shell | SuperScript/shttpd | /src/service_run.sh | UTF-8 | 365 | 2.890625 | 3 | [] | no_license | # service_run dir user prog
service_run() {
service_run_tmp1="$1"
shift
safe mkdir -p "$service_run_tmp1" "$service_run_tmp1/env"
safe cat > "$service_run_tmp1/run.tmp" <<EOF
#!/bin/sh
exec 2>&1
exec envdir ./env sh -c '
exec envuidgid $@
'
EOF
safe chmod 0755 "$service_run_tmp1/run.tmp"
safe mv "$service... | true |
23de9bdb076dc4cb8d26be303a2c7bb34ea38bd4 | Shell | SJTU-IPADS/reef-artifacts | /reef-env/hip/bin/hip_embed_pch.sh | UTF-8 | 3,083 | 2.953125 | 3 | [
"Apache-2.0",
"MIT"
] | permissive | #!/bin/bash
# Copyright (c) 2020-2021 Advanced Micro Devices, Inc. All rights reserved.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the... | true |
8711c0cb7bf11b0559287d095fe1322a8c48dd5b | Shell | naoki-mizuno/ds4_driver | /run_docker.bash | UTF-8 | 525 | 3.25 | 3 | [
"MIT"
] | permissive | #!/bin/bash
DS4_DRIVER_LOCAL_PATH="${1}"
# Override with local copy of ds4_driver (for development)
if [[ -n $DS4_DRIVER_LOCAL_PATH ]]; then
_ws_prefix=/opt/underlay_ws
docker run -it \
-v "/dev:/dev" \
--privileged \
-v "$( realpath $DS4_DRIVER_LOCAL_PATH ):$_ws_prefix/src/ds4_driver"... | true |
2ff710d8ef1ac2865b9f0f12a13a79017a894133 | Shell | tejusingam/5143-OpSys-singam | /versiona.sh | UTF-8 | 108 | 2.578125 | 3 | [] | no_license | #!/bin/bash
sample=$1
DATE=`date +%Y-%m-%d`
modified="$DATE"_"$sample"
echo $modified
cp $sample $modified
| true |
66da2b729a59343372267c5e2604de6f6b640125 | Shell | th-m/fullstack-code-gen | /generator/openapi/openapi.sh | UTF-8 | 436 | 3 | 3 | [] | no_license | #!/bin/bash
# prevent using docs copied in docker volume
rm -rf $openapiTmp
for gateway in $gatewayTmp/*.json; do
echo $gateway
file=$(basename $gateway)
mkdir -p $openapiTmp/$file
java -jar /swagger-codegen-cli.jar generate -i $gateway -l openapi -o $openapiTmp/$file
done
# remove all the extra junk
f... | true |
a35d2ae863c71b0d5e0197a143ff808aace9aa1d | Shell | orsosa/M_cls | /extract_files.sh | UTF-8 | 196 | 3.203125 | 3 | [] | no_license | #!/bin/bash
if [ -z "$1" ];then
echo "you must supply a directory"
exit 1
fi
cd $1
ls */p*/*.tar.gz | xargs -I V bash -c 'a=V; d=`dirname $a`; fn=`basename $a`; tar -C $d -xvzf $a'
cd ..
| true |
ff78cd6cf30e6925b438071f87957596118d6814 | Shell | gerswin/ihomeaddons | /sync/run.sh | UTF-8 | 259 | 2.734375 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
set -e
CONFIG_PATH=/data/options.json
TARGET=$(jq --raw-output ".target" $CONFIG_PATH)
USERNAME=$(jq --raw-output ".username" $CONFIG_PATH)
PASSWORD=$(jq --raw-output ".password" $CONFIG_PATH)
echo "fake copy from /config to $TARGET@$USERNAME"
| true |
573e631bc76560f11bde5fd83501850b4734c2d5 | Shell | tienex/Darwin-0.3 | /ntp-1/ntp/scripts/stats/summary.sh | UTF-8 | 1,819 | 3.828125 | 4 | [
"NTP"
] | permissive | #!/bin/sh
#
# Script to summarize ipeerstats, loopstats and clockstats files
#
# This script can be run from a cron job once per day, week or month. It
# runs the file-specific summary script and appends the summary data to
# designated files.
#
DATE=`date +19%y%m%d`
S=/usr/local/bin/S
SIN=S.in
SOUT=S.out
LOOP=loop_su... | true |
bf83f273b0933e657cb2796b45cdbc2af4b51502 | Shell | chakra-project/packages-core | /clean-builddir.sh | UTF-8 | 1,243 | 3.453125 | 3 | [] | no_license | #!/bin/bash
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that ... | true |
62dd1b281e5d48fbc5d8d37cece5c8532b458b02 | Shell | yukihane/prefs | /install/git-from-src-on-ubuntu.sh | UTF-8 | 559 | 3.203125 | 3 | [] | no_license | #!/bin/bash -eux
git_ver=git-2.23.0
# Dockerイメージにはsudoが無い、かつrootでセットアップしている前提なので
sudo=$(command -v sudo)
${sudo} apt -y install gcc make autoconf zlib1g-dev libcurl4-openssl-dev libexpat1-dev libssl-dev gettext
pushd /tmp
curl -L -o git-src.tar.xz https://mirrors.edge.kernel.org/pub/software/scm/git/${git_ver}.tar.x... | true |
6ce31fbd667bc5e2ad2107f05890527c692b1409 | Shell | dwxie/salt | /checkout.sh | UTF-8 | 289 | 2.828125 | 3 | [] | no_license |
PATH="${HOME}/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin"
export PATH
# [global]
SCRIPT_PATH="$(cd "$(dirname "$0")"; pwd)"
SCRIPT_NAME="$(basename "$0")"
PARA_NUM="$#"
PROC_PID="$$"
cd "${SCRIPT_PATH}"
./checkout_salt.sh
./checkout_pillar.sh
./checkout_state.sh
| true |
4805db8edbd33c6a4a350d800c60df9543b1d933 | Shell | sablesoft/phalcon-weather | /docker/dump/bin/import | UTF-8 | 162 | 3.140625 | 3 | [] | no_license | #!/usr/bin/env bash
if [ -f "$1" ]; then
mysql -uroot -p"${MYSQL_ROOT_PASSWORD}" "${MYSQL_DATABASE}" -vvv < "$1";
else
echo "Dump file does not found!."
fi
| true |
76a86ef8e9b2a869af020bddbb381956fc2133f1 | Shell | dmadisetti/dylanmadisetti | /toolbelt.sh | UTF-8 | 2,457 | 3.546875 | 4 | [] | no_license | #!/bin/sh
show_help(){
echo "
Why Hello there! You must be looking for help\n\
\n\
The Flags: \n\
r - run \n\
t - test \n\
d - deploy \n\
s - setup\n\
p - ci push\n\
c - clean\n\
m - manual deploy\n\
e - letsencrypt certificate\n\
\n\
Chain em together as you see... | true |
9a6f5e288a8c101042c2dfe1c4dcdc9ba903ff42 | Shell | himozhang/cmd-tools | /cmd-tools-client/bin/cmd-client.sh | UTF-8 | 807 | 3.296875 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/sh
# script directory
SCRIPT_PATH=$(readlink -f $0)
# bin directory, It's like /opt/appname/bin, also same with SCRIPT_PATH
BIN_DIR=$(dirname $SCRIPT_PATH)
# work directory
WORK_DIR=$(dirname $BIN_DIR)
# where is app root path in location
APP_ROOT=$WORK_DIR
# app mainclass
MAINCLASS=com.lefu.cmdtools.client.CmdC... | true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.